<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: calender_panel.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."calender_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."calender_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."calender_panel/locale/English.php";
}

if (isset($_POST['prev_month']) && (isset($_POST['cur_month']) && isnum($_POST['cur_month'])) && (isset($_POST['cur_year']) && isnum($_POST['cur_year']))) {
	if ($_POST['cur_month'] == 1) {
		$date = mktime(0, 0, 0, 12, 1, ($_POST['cur_year'] - 1));
	} else {
		$date = mktime(0, 0, 0, ($_POST['cur_month'] - 1), 1, $_POST['cur_year']);
	}
} elseif (isset($_POST['next_month']) && (isset($_POST['cur_month']) && isnum($_POST['cur_month']))) {
	if ($_POST['cur_month'] == 12) {
		$date = mktime(0, 0, 0, 1, 1, ($_POST['cur_year'] + 1));
	} else {
		$date = mktime(0, 0, 0, ($_POST['cur_month'] + 1), 1, $_POST['cur_year']);
	}
} else {
	$date = time();
}

$day = date("d", $date);
$month = date("m", $date);
$year = date("Y", $date);
$first_day = mktime(0, 0, 0, $month, 1, $year);
$title = date("F", $first_day);
$day_of_week = date("D", $first_day);

switch ($day_of_week) { 
	case "Mon": $blank = 0; break;
	case "Tue": $blank = 1; break;
	case "Wed": $blank = 2; break;
	case "Thu": $blank = 3; break;
	case "Fri": $blank = 4; break;
	case "Sat": $blank = 5; break;
	case "Sun": $blank = 6; break;
}

$days_in_month = cal_days_in_month(0, $month, $year);
$day_count = 1;
$day_num = 1;

openside($locale['cal_100']);
echo "<form name='calender_form' method='post' action='".FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "")."'>\n";
echo "<table width='100%'>\n<tr>\n";
echo "<th><input type='submit' name='prev_month' value='&lt;' class='button' /></th>\n";
echo "<th colspan='5'>".$title." ".$year."</th>\n";
echo "<th><input type='submit' name='next_month' value='&gt;' class='button' /></th>\n";
echo "</tr>\n<tr>\n";
echo "<td style='text-align:center'>M</td>\n";
echo "<td style='text-align:center'>T</td>\n";
echo "<td style='text-align:center'>W</td>\n";
echo "<td style='text-align:center'>T</td>\n";
echo "<td style='text-align:center'>F</td>\n";
echo "<td style='text-align:center'>S</td>\n";
echo "<td style='text-align:center'>S</td>\n";
echo "</tr>\n<tr>\n";

while ($blank > 0) {
	echo "<td></td>\n";
	$blank = $blank-1;
	$day_count++;
}

while ($day_num <= $days_in_month) {
	if ($year == date("Y", time()) && $month == date("m", time()) && $day_num == date("d", time())) {
		echo "<td style='text-align:center'><strong>".$day_num."</strong></td>\n";
	} else {
		echo "<td style='text-align:center'>".$day_num."</td>\n";
	}
	$day_num++;
	$day_count++;

	if ($day_count > 7) {
		echo "</tr>\n<tr>\n";
		$day_count = 1;
	}
} 

while ($day_count > 1 && $day_count <= 7) {
	echo "<td></td>\n";
	$day_count++;
} 

echo "</tr>\n</table>\n";
echo "<input type='hidden' name='cur_month' value='".$month."' />\n";
echo "<input type='hidden' name='cur_year' value='".$year."' />\n";
echo "</form>";
closeside();
?>